Page MenuHomePhabricator

Create CampaignEvents extension
Closed, ResolvedPublic

Description

  • Git repository created
  • Phabricator tag created
  • Create a manual page on mw.org
    • Stub created, should be expanded later on while adding new features
  • Update the maintainers list on mw.org
    • Not done, should happen when the extension is actually deployed
  • Add boilerplate stuff: gitignore, composer.json, license, phan and phpcs config files, package.json, eslint and stylelint config
  • Create extension.json with basic info (license, type, description, localisation etc.)
  • Set up CI
  • Add to translatewiki T304155

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptNov 23 2021, 10:00 AM
Daimona renamed this task from [PLACEHOLDER] Create Campaigns extension to Create CampaignEvents extension.Dec 8 2021, 3:09 PM
Daimona claimed this task.
Daimona updated the task description. (Show Details)

Change 745911 had a related patch set uploaded (by Daimona Eaytoy; author: Daimona Eaytoy):

[mediawiki/extensions/CampaignEvents@master] Initial commit

https://gerrit.wikimedia.org/r/745911

Change 745915 had a related patch set uploaded (by Daimona Eaytoy; author: Daimona Eaytoy):

[integration/config@master] Add the CampaignEvents extension to CI

https://gerrit.wikimedia.org/r/745915

Change 745915 merged by jenkins-bot:

[integration/config@master] Add the CampaignEvents extension to CI

https://gerrit.wikimedia.org/r/745915

Change 745911 merged by jenkins-bot:

[mediawiki/extensions/CampaignEvents@master] Initial commit

https://gerrit.wikimedia.org/r/745911

Before adding the extension to translatewiki, I'd also like to create an alias file with the translations of the special page name (I don't know if things will work with an empty $specialPageAliases).

Essentially, this means deciding a name for the special page.

Add naming decision as a blocker to this; this task is not blocking anything

ldelench_wmf changed the task status from Open to Stalled.Jan 31 2022, 3:36 PM

Calling this done, the translation item was moved to T304155 since I assume it's going to remain blocked for a while.